/*******************************************************************************
 * FoxObjectiveMarker_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxObjectiveMarker_Base extends FoxGameObject
    abstract
    native
    notplaceable
    hidecategories(Navigation,FoxGameObject);

var repnotify bool bActive;

replication
{
    // Pos:0x000
    if(bNetDirty && Role == ROLE_Authority)
        bActive
}

simulated event Destroyed()
{
    local PlayerController PC;

    // End:0x79
    foreach LocalPlayerControllers(class'PlayerController', PC)
    {
        // End:0x78
        if(PC.myHUD != none)
        {
            PC.myHUD.RemovePostRenderedActor(self);
        }        
    }    
    super.Destroyed();
    //return;    
}

simulated event ReplicatedEvent(name VarName)
{
    // End:0x3B
    if(VarName == 'bActive')
    {
        // End:0x31
        if(bActive)
        {
            NotifyObjectiveAdded();
        }
        // End:0x3B
        else
        {
            NotifyObjectiveCompleted();
        }
    }
    super.ReplicatedEvent(VarName);
    //return;    
}

simulated function ActivateObjective()
{
    // End:0x0F
    if(bActive)
    {
        return;
    }
    NotifyObjectiveAdded();
    //return;    
}

simulated function CompleteObjective()
{
    // End:0x11
    if(!bActive)
    {
        return;
    }
    NotifyObjectiveCompleted();
    //return;    
}

simulated function ShowMarker(FoxHUD HUD)
{
    // End:0x2F
    if(HUD != none)
    {
        HUD.AddPostRenderedActor(self);
    }
    //return;    
}

simulated function HideMarker(FoxHUD HUD)
{
    // End:0x2F
    if(HUD != none)
    {
        HUD.RemovePostRenderedActor(self);
    }
    //return;    
}

simulated function NotifyObjectiveAdded()
{
    local FoxPC PC;

    bActive = true;
    // End:0x61
    foreach LocalPlayerControllers(class'FoxPC', PC)
    {
        PC.MyFoxHud.AddObjective(self);        
    }    
    //return;    
}

simulated function NotifyObjectiveCompleted()
{
    local FoxPC PC;

    bActive = false;
    // End:0x85
    foreach LocalPlayerControllers(class'FoxPC', PC)
    {
        // End:0x84
        if(PC.MyFoxHud != none)
        {
            PC.MyFoxHud.RemoveObjective(self);
        }        
    }    
    //return;    
}

defaultproperties
{
    bPostRenderIfNotVisible=true
}